<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/contctbg.jpg', 'color');

lzCustomLable($wp_customize, 'app_Overlay', 'appoi_section', 'Section Overlay');

$wp_customize->add_setting(
    'app_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.9', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'app_Opacity',
    array(
        'settings'      => 'app_Opacity',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'inquiry_formolayclr', 'appoi_section', 'Section Overlay Color', '#111944'); 

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Section Padding ');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '12em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);



lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Heading ');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CONTACT US -', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'appform_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WE ARE HERE TO HELP', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_subtitle',
    array(
        'settings'      => 'appform_subtitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading Other Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Section Heading Color', '#fff');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');


addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#F4B504');

//addColorPalatOption($wp_customize, 'inquiry_formbuttonbrdClr', 'appoi_section', 'Form Button Border Color', '#fac555');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button BG Color', '#F4B504');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button BG Hover Color', '#180360');

lzCustomLable($wp_customize, 'app_detailbg', 'appoi_section', 'Section Detail Box');



$wp_customize->add_setting(
    'infphtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'PHONE' )
    )
);
$wp_customize->add_control(
    'infphtitle',
    array(
        'settings'      => 'infphtitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Title', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+111 222 1111' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number 1', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infphtxt2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+2222 111 333 77' )
    )
);
$wp_customize->add_control(
    'infphtxt2',
    array(
        'settings'      => 'infphtxt2',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number 2', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'inftitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'ADDRESS' )
    )
);
$wp_customize->add_control(
    'inftitle',
    array(
        'settings'      => 'inftitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Address Title', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '869 U.S. 62 Business Mountain Home Arizona United States' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'infemiltitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'E-MAIL' )
    )
);
$wp_customize->add_control(
    'infemiltitle',
    array(
        'settings'      => 'infemiltitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Title', 'Luzuk' )
    )
);



$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'plumberWork@fakmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Id 1', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'infemiltxt2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'workplumber@nfamail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt2',
    array(
        'settings'      => 'infemiltxt2',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Id 2', 'Luzuk' )
    )
);


lzCustomLable($wp_customize, 'app_dlhsphclr', 'appoi_section', 'Detail Box Color');

addColorPalatOption($wp_customize, 'inquiry_btnBXBGclr', 'appoi_section', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_btntxticnclr', 'appoi_section', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_btntxticnbgclr', 'appoi_section', 'Icon BG Color', '#111944');

addColorPalatOption($wp_customize, 'inquiry_btntxticntitleclr', 'appoi_section', 'Icon Title Color', '#111944');

addColorPalatOption($wp_customize, 'inquiry_btntxtclr', 'appoi_section', 'Text , Email , Phone Color', '#111944');

addColorPalatOption($wp_customize, 'inquiry_btntxthvclr', 'appoi_section', 'Phone No Text Hover Color', '#F4B504');

